**Full name**: projects.locations.reasoningEngines.list

Lists reasoning engines in a location.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/reasoningEngines`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the Location to list the ReasoningEngines from. Format: `projects/{project}/locations/{location}`

### Query parameters

`filter` `string` Optional. The standard list filter. More detail in [AIP-160](https://google.aip.dev/160).
`pageSize` `integer` Optional. The standard list page size.
`pageToken` `string` Optional. The standard list page token.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.reasoningEngines/list#google.cloud.aiplatform.v1.ReasoningEngineService.ListReasoningEngines`

If successful, the response body contains data with the following structure:
Fields `reasoningEngines[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.reasoningEngines#ReasoningEngine`)`` List of ReasoningEngines in the requested page.
`nextPageToken` `string` A token to retrieve the next page of results. Pass to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.reasoningEngines/list#body.QUERY_PARAMETERS.page_token` to obtain that page.

| JSON representation |
|---|
| ``` { "reasoningEngines": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.reasoningEngines#ReasoningEngine`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.reasoningEngines.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).